Subject: bug#63365: 30.0.50; GCC 13.1 breaks building Emacs with native-compilation

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 Jun 2023 18:05:22 +0300

> From: Deus Max <[email-masked]>
> Cc: Deus Max <[email-masked]>,  [email-masked],  [email-masked],
>   [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 24 Jun 2023 17:41:30 +0300
> 
> >> Interesting.
> >> This recommendation and the explanation are worth documenting somewhere.
> >> Shouldn't a new bug be opened on documenting the GCC -O3 recommendation?
> >
> > I don't think it's our business to document this.  The default build
> > procedure correctly uses -O2.  People who use non-default compilation
> > switches should know what they are doing.
> 
> Then whose business is it?

That of the GCC developers, of course.  That's where the description
of -O3 and its practical implications belongs.

> The default of course is correct, also it is not intuitive that -O3 is
> wrong. People who...should know what they are doing, but a little
> explanation goes a long way. It also helps newcomers catch up.

Where do you suggest to put these factoids to make them even
marginally discoverable by those for whom you think they will be
useful?  If they are hidden among the rest of 100K lines of the ELisp
manual, how will anyone be able to find them?

That is why each piece of documentation should be in its natural
place.  When I want to know something about GCC optimization options,
I turn to the GCC manual, nowhere else.